---
- name: Install python3, docker, docker-compose
  hosts: aws_ec2
  become: yes
  gather_facts: False
  tasks:
    - name: Make sure python3 and docker are installed
      vars:
        ansible_python_interpreter: /usr/bin/python
      yum:
        name: 
          - python3
          - docker
        update_cashe: yes
        state: present
    - name: Install Docker-compose
      get_url:
        url: https://github.com/docker/compose/releases/download/1.27.4/docker-compose-Linux-{{lookup('pipe', 'uname -m')}} 
        dest: /usr/local/bin/docker-compose
        mode: +x
    - name: Ensure docker is running
      systemd:
        name: docker 
        state: started
    - name: Install docker python moduke
      pip:
        name: 
          - docker
          - docker-compose
    
    

- name: Create new linux user
  hosts: all
  become: yes
  vars:
    user_groups: adm,docker
  roles:
    - create_user
    
     

- name: Start docker containers
  hosts: aws_ec2
  vars_files:
    - project-vars
  roles:
    - start_containers

